跳转到主要内容
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
test
/
{nodeId}
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/test/%7BnodeId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"recordId":"string","sideEffect":true,"withDependency":true,"property1":null,"property2":null}'
const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/test/%7BnodeId%7D';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"recordId":"string","sideEffect":true,"withDependency":true,"property1":null,"property2":null}'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/test/%7BnodeId%7D',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify({
recordId: 'string',
sideEffect: true,
withDependency: true,
property1: null,
property2: null
}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"recordId\":\"string\",\"sideEffect\":true,\"withDependency\":true,\"property1\":null,\"property2\":null}"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("POST", "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/test/%7BnodeId%7D", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


{
  "createdTime": "<string>",
  "spent": 123,
  "inputRaw": null,
  "outputRaw": null,
  "inputVariables": {},
  "outputVariables": {},
  "errorMsg": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填
workflowId
string
必填
nodeId
string
必填

请求体

application/json
recordId
string

the record id to test

sideEffect
boolean

whether to test with side effect

withDependency
boolean

whether to test with dependency

{key}
unknown

响应

200 - application/json

Successful updated

createdTime
string
必填
spent
number

spent time

inputRaw
unknown
outputRaw
unknown
inputVariables
object

The variables snapshot when executed

outputVariables
object

The variables snapshot when executed

errorMsg
string
最后修改于 2026年3月5日